### Method

# Gegl Pathreplace_node

#### Declaration [src]

    void
    gegl_path_replace_node (
      GeglPath* path,
      gint pos,
      const GeglPathItem* node
    )

#### Description [src]

Replaces the exiting node at position `pos` in `path`.

#### Parameters

`pos`

  Type: `gint`

  The position we want the new node to have.

`node`

  Type: `GeglPathItem`

  Pointer to a structure describing the GeglPathItem we want to store.

  The data is owned by the caller of the method.